<section class="text-gray-600 body-font" x-show="tab=='bookmarks'">
    <div class="container-full px-5 py-[56px] mx-auto">
        <div class="bookmarks-container flex">
            <div class="w-1/5 pr-5 mt-[0px] " x-show="!noCategories() && x439001('20032083a17999e88f1650102bc5a8aca97c1953')">
                <h2 class="font-medium text-2xl mt-2"><?php _e("Bookmarks", POS_TEXT_DOMAIN); ?></h2>
                <ul class="pos-collection  mt-[48px]">
                    <li x-show="noCategories()"><a @click.prevent='' href="#"><?php _e('',POS_TEXT_DOMAIN);?>No Category</a> </li>
                    <!-- <li><a :class="{active:active==1}" @click.prevent="fetchCBookmarks($data)" href="#" x-data='{key:"all",active:1}'>All</a></li> -->
                    <template x-for="category in categories">
                        <li x-show="category.n>0" class="">
                            <a style="box-shadow: none;" :class="{active:category.active==1}" @click.prevent="fetchCBookmarks(category)" class="rounded-md block px-3 py-2" href="#" :data-id='category.id' :data-key='category.key'>
                                <span x-text='category.title'></span>
                                (<span x-text="category.n"></span>)
                            </a>
                        </li>
                    </template>
                </ul>

                <div @click="categoryManager.showManageModal()" class="text-sm underline mx-3 mt-12 text-[#E8374D] hover:text-[#E79073] cursor-pointer"><?php _e('Delete Categories',POS_TEXT_DOMAIN);?></div>

            </div>
            <div class="flex-auto w-4/5">

                <div id="pos-notice"></div>
                <div class="search-bookmarks w-1/4 flex ml-auto" x-show="bookmarks.length>0">
                    <input x-model="bookmarkSearch" class="w-full text-md mb-2 focus:shadow-none focus:outline-none bms" type="text" placeholder="Search Bookmarks">
                </div>

                <div class="actions h-10" x-show="x439001('20032083a17999e88f1650102bc5a8aca97c1953')">
                    <div class="flex justify-between" x-show="bulkSelectedPlugins.length>1">
                        <div class="alignleft actions bulkactions">
                            <select x-show="pos.frozen==2" name="action" x-model='action' id="bulk-action-selector-top">
                                <option value="-1">Bulk actions</option>
                                <option value="install">Install</option>
                                <option value="activate">Activate</option>
                                <option value="deactivate">Deactivate</option>
                            </select>
                            <input x-show="pos.frozen==2" type="button" class="button action" @click.prevent="processBulkAction()" value="Apply">
                        </div>
                        <div class="tablenav-pages one-page ml-auto my-auto" x-show="pos.frozen==2">
                            <span class="displaying-num "><span x-text="bulkSelectedPlugins.length"></span> items</span>
                        </div>

                        <!-- <span class='text-red-500' x-show="pos.frozen==1"><?php _e("You cannot install/activate/deactivate plugins from here because it's frozen by an admin", POS_TEXT_DOMAIN); ?></span> -->
                        <!-- <br class="clear"> -->
                    </div>
                </div>
                <div class="mb-4 flex rounded-lg bg-red-100 p-5 text-sm text-red-500" role="alert" x-show="pos.frozen==1">
                    <svg aria-hidden="true" focusable="false" data-prefix="fas" data-icon="times-circle" class="mr-3 h-5 w-5 fill-current" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512">
                        <path fill="currentColor" d="M256 8C119 8 8 119 8 256s111 248 248 248 248-111 248-248S393 8 256 8zm121.6 313.1c4.7 4.7 4.7 12.3 0 17L338 377.6c-4.7 4.7-12.3 4.7-17 0L256 312l-65.1 65.6c-4.7 4.7-12.3 4.7-17 0L134.4 338c-4.7-4.7-4.7-12.3 0-17l65.6-65-65.6-65.1c-4.7-4.7-4.7-12.3 0-17l39.6-39.6c4.7-4.7 12.3-4.7 17 0l65 65.7 65.1-65.6c4.7-4.7 12.3-4.7 17 0l39.6 39.6c4.7 4.7 4.7 12.3 0 17L312 256l65.6 65.1z"></path>
                    </svg>
                    <div class="text-[#E8374D]">
                        <?php _e("You cannot install/activate/deactivate plugins from here because it's frozen by an admin", POS_TEXT_DOMAIN); ?>
                    </div>
                </div>
                <div x-show="noCategories()" class="mt-[64px]"> </div>
                <div x-show="filterByCategory(activeCategory).length==0" class="mb-4 flex rounded-lg bg-blue-100 p-5 text-sm text-blue-500" role="alert">
                    <svg aria-hidden="true" focusable="false" data-prefix="fas" data-icon="info-circle" class="mr-3 h-5 w-5 fill-current" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512">
                        <path fill="currentColor" d="M256 8C119.043 8 8 119.083 8 256c0 136.997 111.043 248 248 248s248-111.003 248-248C504 119.083 392.957 8 256 8zm0 110c23.196 0 42 18.804 42 42s-18.804 42-42 42-42-18.804-42-42 18.804-42 42-42zm56 254c0 6.627-5.373 12-12 12h-88c-6.627 0-12-5.373-12-12v-24c0-6.627 5.373-12 12-12h12v-64h-12c-6.627 0-12-5.373-12-12v-24c0-6.627 5.373-12 12-12h64c6.627 0 12 5.373 12 12v100h12c6.627 0 12 5.373 12 12v24z"></path>
                    </svg>
                    <div class="text-gray-700"><?php _e("No bookmarks available", POS_TEXT_DOMAIN); ?></div>
                </div>
                <table class="wp-list-table widefat plugins pos-table" x-show="filterByCategory(activeCategory).length>0">
                    <thead>
                        <tr>
                            <td id="cb" style="width:3%" class="manage-column column-cb">
                                <label class="screen-reader-text" for="cb-select-all-1"><?php _e("Select All", POS_TEXT_DOMAIN); ?></label>
                                <input x-show="user.slug!='free'" @change="selectPlugins()" x-model="selectAllPlugins" id="cb-select-all" type="checkbox">
                            </td>
                            <th scope="col" id="name" class="manage-column column-name column-primary" style="width: 25%;"><?php _e("Plugin", POS_TEXT_DOMAIN); ?></th>
                            <th scope="col" id="description" class="manage-column column-description"><?php _e("Description", POS_TEXT_DOMAIN); ?></th>
                            <th scope="col" id="auto-updates" class="manage-column column-auto-updates hidden"><?php _e("Automatic Updates", POS_TEXT_DOMAIN); ?></th>
                        </tr>
                    </thead>

                    <tbody id="the-list">
                        <template x-for="(bookmark,index) in filterByCategory(activeCategory)">
                            <tr :class='{active:bookmark.actionText=="Deactivate",deactive:bookmark.actionText=="Activate"}' :data-slug="bookmark.slug" x-show="bookmark.slug">
                                <th scope="row" class="" style="padding-top: 8px;">
                                    <input x-show="user.slug!='free'" x-model="bulkSelectedPlugins" type="checkbox" name="checked[]" :value="bookmark.slug" :id="bookmark.slug">
                                </th>
                                <td class="plugin-title column-primary" width="40%">
                                    <img class="pos-plugin-image" style="width: 60px; height: 60px; padding-right: 0px; margin-right: 12px;" :src="bookmark.image">
                                    <strong x-text="titleCase(bookmark.slug)"></strong>
                                    <div class="">
                                        <span x-show="pos.frozen==2 && x439001('20032083a17999e88f1650102bc5a8aca97c1953') && bookmark.slug!='plugins-on-steroids'"><a href="#" class="activate text-[#2873AF] hover:text-[#07416d]" @click.prevent="processPlugin(bookmark.slug)" x-text="bookmark.actionText"></a> | </span>
                                        <span x-show="x439001('20032083a17999e88f1650102bc5a8aca97c1953')" class="manage"><a href="#" class="text-[#2873AF] hover:text-[#07416d]" @click.prevent="manageCategories(bookmark)">Categories</a> | </span>
                                        <span><a href="#bookmarks" class="text-[#2873AF] hover:text-[#07416d]" @click.prevent="Bookmarks.unBookmark(bookmark.plugin_id); removeBookmark(index)"><?php _e("Unbookmark", POS_TEXT_DOMAIN); ?></a> </span>
                                        <span x-show="x439001('20032083a17999e88f1650102bc5a8aca97c1953') && bookmark.slug!='plugins-on-steroids'"> | <a href="#bookmarks" class="text-[#2873AF] hover:text-[#07416d]" @click.prevent="versionManager.displayModal(bookmark)"><?php _e("Versions", POS_TEXT_DOMAIN); ?></a> </span>
                                    </div>
                                    <button type="button" class="toggle-row"><span class="screen-reader-text"><?php _e("Show Details", POS_TEXT_DOMAIN); ?></span></button>
                                </td>
                                <td class="column-description desc">
                                    <div class="plugin-description">
                                        <p x-text="bookmark.description"></p>
                                    </div>
                                    <div class="inactive is-uninstallable second plugin-version-author-uri">
                                        <span x-text='getPluginVersion(bookmark.slug)'></span>
                                        <a class="text-[#2873AF] hover:text-[#07416d]" :href="bookmark.url" target="_blank"><?php _e("Details", POS_TEXT_DOMAIN); ?></a> |
                                        <span class="bm-dev-link" x-html="bookmark.developer"></span>
                                    </div>
                                </td>
                                <td class="column-auto-updates hidden">
                                    <div class="notice notice-error notice-alt inline hidden">
                                        <p></p>
                                    </div>
                                </td>
                            </tr>
                        </template>
                    </tbody>

                    <tfoot>
                        <tr>
                            <td id="cb" style="width:3%" class="manage-column column-cb">
                                <input x-show="user.slug!='free'" @change="selectPlugins()" x-model="selectAllPlugins" id="cb-select-all-2" type="checkbox">
                            </td>
                            <th scope="col" id="name" class="manage-column column-name column-primary" style="width: 25%;"><?php _e("Plugin", POS_TEXT_DOMAIN); ?></th>
                            <th scope="col" id="description" class="manage-column column-description"><?php _e("Description", POS_TEXT_DOMAIN); ?></th>
                            <th scope="col" id="auto-updates" class="manage-column column-auto-updates hidden"><?php _e("__", POS_TEXT_DOMAIN); ?></th>
                        </tr>
                    </tfoot>

                </table>
                <div class="actions h-10 mt-3" x-show="x439001('20032083a17999e88f1650102bc5a8aca97c1953')">
                    <div class="flex justify-between" x-show="bulkSelectedPlugins.length>1">
                        <div class="alignleft actions bulkactions">
                            <select x-show="pos.frozen==2" name="action" id="bulk-action-selector-top">
                                <option value="-1">Bulk actions</option>
                                <option value="install">Install</option>
                                <option value="activate">Activate</option>
                                <option value="deactivate">Deactivate</option>
                            </select>
                            <input x-show="pos.frozen==2" type="submit" id="doaction" class="button action"  @click.prevent="processBulkAction()"  value="Apply">
                        </div>
                        <div x-show="pos.frozen==2" class="tablenav-pages one-page ml-auto my-auto">
                            <span class="displaying-num "><span x-text="bulkSelectedPlugins.length"></span> items</span>
                        </div>
                        <br class="clear">
                    </div>
                </div>

            </div>
        </div>

    </div>
</section>